Send a quotation request

Creates a RequestQuotation business transaction from a metadata structure.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The call also informs the server of whether more data is expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received. Otherwise, the message remains open and the message status is notset.

The following example contains the minimum JSON body required to create a valid quotation request.These elements are mandatory.

Different properties might be required depending on the use case in question.To find out which properties you need to use to create a valid document, see Quotation request: Use cases.

{
  "messageHandling": {
    "receiverIdentifier": "0196:1111118899",
    "fallbackEmailAddress": "[email protected]"
  },
  "quotationRequest": {
    "quotationRequestNo": "QTRQ1234",
    "issueDateAndTime": "2019-11-08T17:27:54.774Z",
    "currencyCode": "ISK",
    "customer": {
      "address": {
        "streetNameAndNumber": "14th Street 52",
        "city": "New York",
        "postalZone": "10011",
        "countryCode": "US"
      },
      "name": "Test Party Two",
      "identifier": "0196:2222228899"
    },
    "supplier": {
      "address": {
        "streetNameAndNumber": "42nd Street 1",
        "city": "New York",
        "postalZone": "10036",
        "countryCode": "US"
      },
      "name": "Test Party One",
      "identifier": "0196:1111118899"
    },
    "quotationLines": [
      {
        "lineIdentifier": "3",
        "quantity": 5,
        "unitOfMeasure": {
          "unit": "Rec20",
          "code": "P5"
        },
        "unitPriceAmount": 1000.0,
        "commodityClassification": {
          "type": "HarmonizedSystem",
          "code": "090230"
        }
      }
    ]
  }
}

Query Params
uuid
required

The identifier of the message in the format of a valid Universally unique identifier (GUID).

string

The identifier of the conversation.
Used as a correlation identifier between different documents in the same business context, for example, between a credit note that was issued based on an invoice and that invoice.

If not provided, it is generated automatically.
In that case, it includes the date when the message was sent, a random token, and the ISO identifier of the sender.

boolean
required

Signals if the current document is the last document that the message is supposed to contain. If that is true, the processing starts immediately.

string
enum

The way the transaction is processed.

Allowed:
services
array of strings

A list of services that the user specifies for additional message processing.

services
Body Params

Metadata structure for creating a RequestQuotation business transaction.

messageHandling
object
required

Message delivery information.

quotationRequest
object
required

The metadata structure of a quotation request.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml